package commands;

import java.io.IOException;
import java.util.ArrayList;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import spring.Context;
import business.Mensalidade;
import dao.MensalidadeDAO;

public class MensalidadeAlterar extends AbstractCommand {

	MensalidadeDAO mensalidadedao = new MensalidadeDAO();

	public void processarComando(HttpServletRequest request,
			HttpServletResponse response, Context context) {
		String id = request.getParameter("id");
		String id_aluno = request.getParameter("id_aluno");

		String data_parcela = request.getParameter("data_parcela");
		String data_pagto = request.getParameter("data_pagto");

		float valor = Float.parseFloat(request.getParameter("valor"));

		Mensalidade m1 = new Mensalidade();
		m1.setId(Integer.parseInt(id));
		m1.setId_aluno(Integer.parseInt(id_aluno));
		m1.setData_parcela(data_parcela);
		m1.setData_pagto(data_pagto);
		m1.setValor(valor);

		String msg = mensalidadedao.atualizaMensalidade(m1);

		ArrayList<Mensalidade> mensalidades = new ArrayList<Mensalidade>();
		mensalidades.add(m1);
		request.setAttribute("mensalidades", mensalidades);
		RequestDispatcher rd;
		if (msg != null)
			rd = request.getRequestDispatcher("mensalidadeAlterar.jsp?msg="
					+ msg);
		else
			rd = request
					.getRequestDispatcher("mensalidadeAlterar.jsp?msg=Mensalidade Alterada com Sucesso!");
		try {
			rd.forward(request, response);
		} catch (ServletException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
